net.minecraftforge.common.util

## Class EnumHelper

- java.lang.Object
- - net.minecraftforge.common.util.EnumHelper

- Direct Known Subclasses:
    EnumHelperClient

      public class EnumHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumAction` | `addAction(java.lang.String name)`
    `static ItemArmor.ArmorMaterial` | `addArmorMaterial(java.lang.String name, int durability, int[] reductionAmounts, int enchantability)`
    `static EntityPainting.EnumArt` | `addArt(java.lang.String name, java.lang.String tile, int sizeX, int sizeY, int offsetX, int offsetY)`
    `static EnumCreatureAttribute` | `addCreatureAttribute(java.lang.String name)`
    `static EnumCreatureType` | `addCreatureType(java.lang.String name, java.lang.Class typeClass, int maxNumber, Material material, boolean peaceful, boolean animal)`
    `static StructureStrongholdPieces.Stronghold.Door` | `addDoor(java.lang.String name)`
    `static EnumEnchantmentType` | `addEnchantmentType(java.lang.String name)`
    `static Entity.EnumEntitySize` | `addEntitySize(java.lang.String name)`
    `static <T extends java.lang.Enum<?>> T` | `addEnum(java.lang.Class[][] map, java.lang.Class<T> enumType, java.lang.String enumName, java.lang.Object... paramValues)`
    `static <T extends java.lang.Enum<?>> T` | `addEnum(java.lang.Class<T> enumType, java.lang.String enumName, java.lang.Class<?>[] paramTypes, java.lang.Object[] paramValues)`
    `static <T extends java.lang.Enum<?>> T` | `addEnum(java.lang.Class<T> enumType, java.lang.String enumName, java.lang.Object... paramValues)`
    `static MovingObjectPosition.MovingObjectType` | `addMovingObjectType(java.lang.String name)`
    `static EnumRarity` | `addRarity(java.lang.String name, EnumChatFormatting color, java.lang.String displayName)`
    `static BlockPressurePlate.Sensitivity` | `addSensitivity(java.lang.String name)`
    `static EnumSkyBlock` | `addSkyBlock(java.lang.String name, int lightValue)`
    `static EntityPlayer.EnumStatus` | `addStatus(java.lang.String name)`
    `static Item.ToolMaterial` | `addToolMaterial(java.lang.String name, int harvestLevel, int maxUses, float efficiency, float damage, int enchantability)`
    `static void` | `setFailsafeFieldValue(java.lang.reflect.Field field, java.lang.Object target, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumHelper

          public EnumHelper()

  - ### Method Detail

    - #### addAction

          public static EnumAction addAction(java.lang.String name)

    - #### addArmorMaterial

          public static ItemArmor.ArmorMaterial addArmorMaterial(java.lang.String name,
                                                 int durability,
                                                 int[] reductionAmounts,
                                                 int enchantability)

    - #### addArt

          public static EntityPainting.EnumArt addArt(java.lang.String name,
                                      java.lang.String tile,
                                      int sizeX,
                                      int sizeY,
                                      int offsetX,
                                      int offsetY)

    - #### addCreatureAttribute

          public static EnumCreatureAttribute addCreatureAttribute(java.lang.String name)

    - #### addCreatureType

          public static EnumCreatureType addCreatureType(java.lang.String name,
                                         java.lang.Class typeClass,
                                         int maxNumber,
                                         Material material,
                                         boolean peaceful,
                                         boolean animal)

    - #### addDoor

          public static StructureStrongholdPieces.Stronghold.Door addDoor(java.lang.String name)

    - #### addEnchantmentType

          public static EnumEnchantmentType addEnchantmentType(java.lang.String name)

    - #### addEntitySize

          public static Entity.EnumEntitySize addEntitySize(java.lang.String name)

    - #### addSensitivity

          public static BlockPressurePlate.Sensitivity addSensitivity(java.lang.String name)

    - #### addMovingObjectType

          public static MovingObjectPosition.MovingObjectType addMovingObjectType(java.lang.String name)

    - #### addSkyBlock

          public static EnumSkyBlock addSkyBlock(java.lang.String name,
                                 int lightValue)

    - #### addStatus

          public static EntityPlayer.EnumStatus addStatus(java.lang.String name)

    - #### addToolMaterial

          public static Item.ToolMaterial addToolMaterial(java.lang.String name,
                                          int harvestLevel,
                                          int maxUses,
                                          float efficiency,
                                          float damage,
                                          int enchantability)

    - #### addRarity

          public static EnumRarity addRarity(java.lang.String name,
                             EnumChatFormatting color,
                             java.lang.String displayName)

    - #### setFailsafeFieldValue

          public static void setFailsafeFieldValue(java.lang.reflect.Field field,
                                   java.lang.Object target,
                                   java.lang.Object value)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addEnum

          public static <T extends java.lang.Enum<?>> T addEnum(java.lang.Class<T> enumType,
                                                java.lang.String enumName,
                                                java.lang.Object... paramValues)

    - #### addEnum

          public static <T extends java.lang.Enum<?>> T addEnum(java.lang.Class[][] map,
                                                java.lang.Class<T> enumType,
                                                java.lang.String enumName,
                                                java.lang.Object... paramValues)

    - #### addEnum

          public static <T extends java.lang.Enum<?>> T addEnum(java.lang.Class<T> enumType,
                                                java.lang.String enumName,
                                                java.lang.Class<?>[] paramTypes,
                                                java.lang.Object[] paramValues)